> For the complete documentation index, see [llms.txt](https://docs.bindplane.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bindplane.com/changelog/june-2025/2025-06-10-release.md).

# Jun 10, 2025 - v1.91.1

Self-hosted

## New Features

* UI: Dark Mode theme
* UI: Added support for wildcard searching when using Postgres store or Bindplane Cloud
* Expose `cumulative_normalization` option in [Google Managed Prometheus destination](https://github.com/observIQ/bindplane-docs/blob/main/integrations/destinations/google-cloud-managed-service-for-prometheus.md)
* Add CORS support to the [Bindplane Gateway source](https://github.com/observIQ/bindplane-docs/blob/main/integrations/sources/bindplane-gateway.md)
* Add support for sub second polling to [Windows Event source](https://github.com/observIQ/bindplane-docs/blob/main/integrations/sources/windows-events.md)
* CLI: Add `query`, `selector`, `offset`, and `limit` to `get configuration` command
* Removed embedded batch processor from [Kafka destination](https://github.com/observIQ/bindplane-docs/blob/main/integrations/destinations/kafka.md)
* Added metrics support to [Splunk HEC destination](https://github.com/observIQ/bindplane-docs/blob/main/integrations/destinations/splunk-hec.md)
* Added `send_raw` parameter to [Netflow source](https://github.com/observIQ/bindplane-docs/blob/main/integrations/sources/netflow.md)
* Enhanced [SQL Query source](https://github.com/observIQ/bindplane-docs/blob/main/integrations/sources/sql-query.md) source to support individual connection string parameters
  * Supports encrypting the password field

## Bug Fixes

* CLI: Fixed `sort` flag for `get agents` command

## Misc

* Increased [SecOps destination](https://github.com/observIQ/bindplane-docs/blob/main/integrations/destinations/google-secops-chronicle.md) sending queue consumers to `40`
* Default [SecOps destination](https://github.com/observIQ/bindplane-docs/blob/main/integrations/destinations/google-secops-chronicle.md) protocol to `HTTPS` instead of `gRPC`
  * SecOps always used `TLS`, however, the API used was the legacy Chronicle gRPC API.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bindplane.com/changelog/june-2025/2025-06-10-release.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
